%define anolis_release 2

%global pypi_name mdit-py-plugins

Name:           python-%{pypi_name}
Version:        0.3.5
Release:        %{anolis_release}%{?dist}
Summary:        Collection of plugins for markdown-it-py

# Both the package and its plugins are licensed under MIT
License:        MIT
URL:            https://github.com/executablebooks/mdit-py-plugins
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-regressions)

%global _description %{expand:
Collection of core plugins for markdown-it-py.
}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description

%package -n     python3-%{pypi_name}-doc
Summary:        doc files for python3-%{pypi_name}
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-doc
doc files for python3-%{pypi_name}

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mdit_py_plugins

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE

%files -n python3-%{pypi_name}-doc
%doc README.md

%changelog
* Wed Mar 27 2024 Bo Ren <rb01097748@alibaba-inc.com> - 0.3.5-2
- Rebuild with python3.11

* Thu Mar 23 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.3.5-1
- Init upstream from version 0.3.5
